/**
 * Gulp lint task to run eslint on test folder
 */

const gulp = require( 'gulp' );
const eslint = require( 'gulp-eslint' );
const appSrc = './test/**/*.js';

gulp.task( 'lint', () =>
{
	return gulp.src( appSrc )
		.pipe( eslint() )
		.pipe( eslint.format() )
		.pipe( eslint.failAfterError() )
} );

gulp.task( 'default', [ 'lint' ], () =>
{
	gulp.watch( appSrc, [ 'lint' ] );
} );