module.exports =
{
	parserOptions:
	{
		ecmaVersion: 6,
		sourceType: "module",
		ecmaFeatures:
		{
			impliedStrict: true,
			jsx: true
		}
	},

	env:
	{
		browser: true,
		node: true
	},

	extends:
	[
		'./rules/errors',
		'./rules/best-practices',
		'./rules/nodejs',
		'./rules/variables',
		'./rules/code-style',
		'./rules/es6',
		'./rules/react',
		'./rules/import'
	].map( require.resolve ),

	plugins:
	[
		"react",
		"import"
	],

	rules:
	{

		// require or disallow strict mode directives
		'strict': 'error'
	}
};