// validation rules for es6

module.exports =
{
	rules:
	{

		// Require braces in arrow function body
		'arrow-body-style': [ 'error', 'always' ],

		// Require space before/after arrow function’s arrow
		'arrow-spacing': [ 'error',
			{
				'before': true,
				'after': true
			}
		],

		// Verify calls of super() in constructors
		'constructor-super': 'error',

		// Disallow modifying variables of class declarations
		'no-class-assign': 'error',

		// Disallow modifying variables that are declared using const
		'no-const-assign': 'error',

		// Disallow duplicate name in class members
		'no-dupe-class-members': 'error',

		// Disallow duplicate imports
		'no-duplicate-imports': 'error',

		// Disallow Symbol Constructor
		'no-new-symbol': 'off',

		// Disallow use of this/super before calling super() in constructors.
		'no-this-before-super': 'off',

		// Disallow unnecessary computed property keys on objects
		'no-useless-computed-key': 'off',

		// Disallow renaming import, export, and destructured assignments to the same name
		'no-useless-rename': 'off',

		// require let or const instead of var
		'no-var': 'error',

		// Suggest using arrow functions as callbacks.
		'prefer-arrow-callback': 'error',

		// Suggest using Reflect methods where applicable
		'prefer-reflect': 'off',

		// Suggest using the rest parameters instead of arguments
		'prefer-rest-params': 'off',

		// Suggest using the spread operator instead of .apply().
		'prefer-spread': 'error',

		// Suggest using template literals instead of string concatenation.
		'prefer-template': 'error',

		// require symbol description
		'symbol-description': 'off',

		// Enforce Usage of Spacing in Template Strings
		'template-curly-spacing': [ 'error', 'always' ]
	}
};