// React specific linting rules for ESLint

module.exports =
{
	rules:
	{

		// Specify whether double or single quotes should be used in JSX attributes
		'jsx-quotes': [ 'error', 'prefer-double' ],

		// Enforce that class methods utilize this
		'class-methods-use-this': [ 'error', {
			exceptMethods: [
				'render',
				'componentWillMount',
				'componentDidMount',
				'componentWillReceiveProps',
				'shouldComponentUpdate',
				'componentWillUpdate',
				'componentDidUpdate',
				'componentWillUnmount'
			]
		} ],

		// Forbid certain propTypes (any, array, object)
		'react/forbid-prop-types': [ 'error', { forbid: [ 'any', 'array', 'object' ] } ],

		// Forbid certain props on Components
		'react/forbid-component-props': [ 'error', { forbid: [ 'className' ] } ]
	},

	// TODO: review each react rule, instead of using this.
	extends: [ 'plugin:react/recommended' ]
};